summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2018-12-13 00:04:29 -0600
committerTim Harder <radhermit@gentoo.org>2018-12-13 00:47:14 -0600
commita1087c86fd5b75981d0d636ac52e525904bfbd8f (patch)
tree7aec83cb8f34006c44a2bd695cd32aebc5f3ebc2 /sci-libs
parentnet-irc/weechat: remove old (diff)
downloadgentoo-a1087c86fd5b75981d0d636ac52e525904bfbd8f.tar.gz
gentoo-a1087c86fd5b75981d0d636ac52e525904bfbd8f.tar.bz2
gentoo-a1087c86fd5b75981d0d636ac52e525904bfbd8f.zip
sci-libs/matio: version bump to 1.5.13
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/matio/Manifest1
-rw-r--r--sci-libs/matio/matio-1.5.13.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/sci-libs/matio/Manifest b/sci-libs/matio/Manifest
index f92a5a001c0..45a48713a1e 100644
--- a/sci-libs/matio/Manifest
+++ b/sci-libs/matio/Manifest
@@ -1,3 +1,4 @@
DIST matio-1.5.1.tar.gz 8160893 BLAKE2B 50b1d5204fb4717fedb341f0a69a53a770bb4c6d46c7721b9c455745716b1b3d3142155c26adb7d019ede5703ac5fac7196c2ca15ddc22fdb93c1b1172dcc10a SHA512 bd1e49bcbfe3e073d2339bc3dff803b222c007aad19759ee9b666438fa59ec2b2750b52ffb3b5e911145cf2977538447f5db977fc056a624c5878ddbcf564b26
DIST matio-1.5.10.tar.gz 8630185 BLAKE2B 8bb5040c3863ca7eea3069d0ee71d79c588e19a1fde253f7305534a2239dfecae1d877082454b475c1d4d1a3a60f81710002cd14ed5def3c23b4d0aa8dc8531c SHA512 93c40d344fd8282e64cae6104bc6a485cd4ce65c948333c95127cfd54e57166c5e24d7a8d36a50dd896f11615a0274ddd303d8fdb4d3e41b34d4eacb7fc866af
+DIST matio-1.5.13.tar.gz 10037903 BLAKE2B 8817fa3a1c050a84951c706922b32c5ed082ec057a35cb7fa20cc4d977316208a61604fcb6c0e09c96f592294a65d57a8a95844d15821987bdd337564345e778 SHA512 2db430dd47b8ceed850aaadf36c0fd3b405ba32db3eb2d5be320d007754983e2538ab99338d3ae8d69e8a531818c3bde0807c1f4a505eff7dd25d4a77934b737
DIST matio-1.5.2.tar.gz 8179926 BLAKE2B 6ac78b09a6874a505984fd75f5a4fd7223c0947d32588a8ca426117b945fbfb550d419b552b9a1d6c88b40d96c99d6c35b7ede780a29afe5f4485dec76f1df0d SHA512 47ee7457db3f2138ecb1db9d7a04bf91d8277024631694e5f5a49b77829d60ce9dd95a1db33cd8eeaa8271e942acf60b522f40e4d7f4cae90f0a7caee7eb6efc
diff --git a/sci-libs/matio/matio-1.5.13.ebuild b/sci-libs/matio/matio-1.5.13.ebuild
new file mode 100644
index 00000000000..d9f308de950
--- /dev/null
+++ b/sci-libs/matio/matio-1.5.13.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Library for reading and writing matlab files"
+HOMEPAGE="https://sourceforge.net/projects/matio/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+SLOT="0/4" # subslot = soname version
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples hdf5 sparse static-libs"
+
+RDEPEND="
+ sys-libs/zlib
+ hdf5? ( sci-libs/hdf5 )"
+DEPEND="${RDEPEND}
+ sys-devel/libtool
+ doc? ( virtual/latex-base )"
+
+src_configure() {
+ econf \
+ $(use_enable hdf5 mat73) \
+ $(use_enable sparse extended-sparse) \
+ $(use_enable static-libs static)
+}
+
+src_compile() {
+ default
+ use doc && emake -C documentation pdf
+}
+
+src_install() {
+ default
+
+ use doc && dodoc documentation/matio_user_guide.pdf
+ if use examples; then
+ docinto examples
+ dodoc test/test*
+ insinto /usr/share/${PN}
+ doins share/test*
+ fi
+
+ find "${D}" -name "*.la" -delete || die
+}